 <!-- <div class="mt-2 mb-2"  >
  <input placeholder="search" type="search" (input)="onSearchInput($event.target.value, isDimension)" class="form-control user-input-material" style="width: 100%; max-width: calc(100% - 65px);border-radius: 0.25rem !important;float:left;border:1px solid silver;" >
  <button class="btn btn-primary btn-sm ml-2 pt-2 pb-2" (click)="applyAddRemove()">Apply</button>
</div> -->
 <!-- <mat-form-field>
   <div>
    <input matInput [placeholder]="searchPlaceholder" (input)="onSearchInput($event.target.value, isDimension)" class="form-control">
  </div>
 
 </mat-form-field> -->


<mat-tree [dataSource]="dataSource" [treeControl]="treeControl">
  <!-- taking out mat-tree-node matTreeNodePadding for child element -->
  <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle >
    <button mat-icon-button disabled></button>
    <mat-checkbox class="checklist-leaf-node"
                  [checked]="isChecked(node)"
                  (change)="todoLeafItemSelectionToggle(node)">{{node.name}}</mat-checkbox>
  </mat-tree-node>

 

  <mat-tree-node *matTreeNodeDef="let node; when: hasChild" matTreeNodePadding>
    <button mat-icon-button matTreeNodeToggle
            [attr.aria-label]="'toggle ' + node.filename">
      <mat-icon class="mat-icon-rtl-mirror">
          {{treeControl.isExpanded(node) ? 'arrow_drop_down' : 'arrow_right'}}
      </mat-icon>
    </button>
    <!-- sun : disable Select/deselect all the descendants node -->
    {{node.name}}
    <!-- <mat-checkbox [checked]="descendantsAllSelected(node)"
                  [indeterminate]="descendantsPartiallySelected(node)"
                  (change)="todoItemSelectionToggle(node)">{{node.name}}</mat-checkbox> -->

  </mat-tree-node>
</mat-tree>